Name:           matio
Version:        1.5.26
Release:    1%{?dist}
Summary:        Library for reading/writing Matlab MAT files

License:        BSD-2-Clause
URL:            http://sourceforge.net/projects/matio
Source0:        http://downloads.sourceforge.net/matio/matio-%{version}.tar.gz

BuildRequires: make
BuildRequires:  doxygen
BuildRequires:  zlib-devel >= 1.2.3
BuildRequires:  hdf5-devel >= 1.8
BuildRequires:  libtool
Requires:       hdf5 = %{_hdf5_version}
     

%description
matio is an open-source library for reading/writing Matlab MAT files.  This
library is designed for use by programs/libraries that do not have access or
do not want to rely on Matlab's libmat shared library.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       hdf5-devel
Requires:       zlib-devel
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1

sed -i -e '/Requires\.private/d' matio.pc.in


%build
sh ./autogen.sh
%configure \
  --enable-shared \
  --disable-static \
  --enable-mat73=yes \
  --enable-extended-sparse=yes

sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}



%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

touch -r %{buildroot}%{_includedir}/matio_pubconf.h NEWS

rm -rf %{buildroot}%{_datadir}/info/dir


%check
%ifnarch s390x
fail=1
export LD_LIBRARY_PATH=%{_builddir}/%{?buildsubdir}/src/.libs/
make check || ( cat test/testsuite.log && exit $fail )
%endif



%files
%license COPYING
%doc NEWS README
%{_bindir}/matdump
%{_libdir}/*.so.11*

%files devel
%{_includedir}/matio*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/Mat_*.3.*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.26-1
- initial build
